Bug 1723833 - retiring two services at the same time leads to only the vms of the first service being retired
Summary: retiring two services at the same time leads to only the vms of the first ser...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.10.5
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.10.8
Assignee: drew uhlmann
QA Contact: Niyaz Akhtar Ansari
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1722194
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-25 13:55 UTC by Satoe Imaishi
Modified: 2019-12-09 12:01 UTC (History)
9 users (show)

Fixed In Version: 5.10.8.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1722194
Environment:
Last Closed: 2019-08-13 08:35:35 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
error in request (214.17 KB, image/png)
2019-07-10 09:21 UTC, Niyaz Akhtar Ansari
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2466 None None None 2019-08-13 08:35:46 UTC

Comment 2 drew uhlmann 2019-07-01 22:01:30 UTC
Since this got backported already, can I move it to post, please?

Comment 3 Satoe Imaishi 2019-07-01 22:03:17 UTC
Yes, moving since I'm here now :) The bot is supposed to move, but there seems to be some issues with bot right now...

Comment 4 CFME Bot 2019-07-02 20:26:19 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/2da6c67bf0d33e2af1ad68b4179bbb786044688c
commit 2da6c67bf0d33e2af1ad68b4179bbb786044688c
Author:     Brandon Dunne <bdunne@redhat.com>
AuthorDate: Mon Jun 24 11:00:52 2019 -0400
Commit:     Brandon Dunne <bdunne@redhat.com>
CommitDate: Mon Jun 24 11:00:52 2019 -0400

    Merge pull request #18908 from d-m-u/creating_tasks_for_multiple_service_retirement

    Create retire subtasks for multiple services

    (cherry picked from commit 95e77c6377d1a9ffb539595e788886c55cb91804)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1723833

 app/models/service_retire_task.rb | 9 +-
 spec/models/service_retire_task_spec.rb | 14 +
 2 files changed, 19 insertions(+), 4 deletions(-)

Comment 5 Niyaz Akhtar Ansari 2019-07-10 09:20:12 UTC
Services VMs getting retired now but service retire request failing with error in service request page.
tested Version 5.10.7.0.20190709151852_68f0bf9

Hence failing this BZ

Comment 6 Niyaz Akhtar Ansari 2019-07-10 09:21:13 UTC
Created attachment 1589045 [details]
error in request

Comment 8 drew uhlmann 2019-07-10 12:15:17 UTC
I think this failure, since the version on 5'11 passed QE verification (https://bugzilla.redhat.com/show_bug.cgi?id=1722194) means that we must've had a content or domain change that didn't get backported and probably should have.
Tina, ideas?

Comment 11 Sudhir Mallamprabhakara 2019-07-10 14:20:12 UTC
moving to 5.10.8

Comment 12 drew uhlmann 2019-07-11 18:48:42 UTC
Okay https://github.com/ManageIQ/manageiq/pull/18958 should fix this for real.

Comment 14 CFME Bot 2019-07-22 20:16:04 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/022f7231ed34f1ec8202a941ee269fb6464b0074
commit 022f7231ed34f1ec8202a941ee269fb6464b0074
Author:     Brandon Dunne <bdunne@redhat.com>
AuthorDate: Thu Jul 11 14:47:31 2019 -0400
Commit:     Brandon Dunne <bdunne@redhat.com>
CommitDate: Thu Jul 11 14:47:31 2019 -0400

    Merge pull request #18958 from d-m-u/fixing_request_number_creation_for_multiple_services

    Create multiple requests for multiple service retirement

    (cherry picked from commit 42a55ccabc142e3ab9b6309e8b861f6e3cb451ae)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1723833

 app/models/miq_retire_task.rb | 10 +-
 app/models/mixins/process_tasks_mixin.rb | 5 +-
 spec/models/mixins/process_tasks_mixin_spec.rb | 11 +
 spec/models/orchestration_stack_retire_task_spec.rb | 8 +-
 spec/models/service_retire_task_spec.rb | 24 +-
 spec/models/vm_retire_task_spec.rb | 2 +-
 6 files changed, 41 insertions(+), 19 deletions(-)

Comment 15 Niyaz Akhtar Ansari 2019-07-31 09:54:07 UTC
Verified in Version 5.10.8.0.20190729222758_e725e22

Comment 17 errata-xmlrpc 2019-08-13 08:35:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2466


Note You need to log in before you can comment on or make changes to this bug.